<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:parentTag="android.widget.FrameLayout"
    tools:viewBindingIgnore="true">

    <!-- ExoPlayer自定义操作控件, StyledPlayerControlView, exo_styled_player_control_view.xml -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="60dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@id/exo_bottom_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:layout_marginBottom="6dp"
            android:background="@drawable/image_video_bottom_bar_bg"
            android:paddingHorizontal="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@id/exo_play_pause"
                android:layout_width="24dp"
                android:layout_height="24dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@id/exo_position"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:includeFontPadding="false"
                android:textColor="@color/color_FFFFFF"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/exo_play_pause"
                app:layout_constraintTop_toTopOf="parent"
                tools:minWidth="50dp" />

            <com.adealink.weparty.image.view.VideoTimeBar
                android:id="@id/exo_progress"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginHorizontal="4dp"
                app:bar_height="8dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/exo_duration"
                app:layout_constraintStart_toEndOf="@id/exo_position"
                app:layout_constraintTop_toTopOf="parent"
                app:played_color="@color/color_FFA576FF"
                app:scrubber_drawable="@drawable/image_video_time_bar_thumb"
                app:unplayed_color="@color/color_80FFFFFF" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@id/exo_duration"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/color_FFFFFF"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:minWidth="50dp" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

</merge>